<!DOCTYPE html>
<html>    
<head>
    <title>Movie List</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    
</head>

<body>
    
    <header class="bg-dark text-white">
        <div class="container">
            <div class="d-flex justify-content-end align-items-center">
                {% if user.is_authenticated %}
                    <a href="{% url 'profile' %}" class="btn btn-outline-primary me-2">Profile</a>
                    <a href="{% url 'logout' %}" class="btn btn-outline-primary me-2">Logout</a>
                    <a href="{% url 'home' %}" class="btn btn-outline-primary">Home</a>
                {% else %}
                    <a href="{% url 'login' %}" class="btn btn-outline-primary me-2">Login</a>
                    <a href="{% url 'register' %}" class="btn btn-outline-primary">Register</a>
                {% endif %}
            </div>
        </div>
    </header>

    
    <div class="container mt-4">
        <h1>Movie List</h1>
        <ul>
            {% for item in page_obj %}
                <li>
                    <a href="{% url 'movie_detail' movie_id=item.movie.id %}">{{ item.movie.title }}</a> 
                    <p>Genres: {{ item.movie.genres }}</p>
                    <p>
                    Average Rating: 
                    {% if item.movie.avg_rating %}
                        {{ item.movie.avg_rating|floatformat:2 }}
                    {% else %}
                        Not rated yet
                    {% endif %}
                    </p>
                    <p>
                    Your Rating: 
                    {% if item.user_rating %}
                        {{ item.user_rating }}
                    {% else %}
                        You have not rated this movie yet
                    {% endif %}
                    </p>
                </li>
            {% endfor %}
        </ul>

        
        

        <!-- Pagination Logic with Clickable Page Numbers -->
        
        <div class="d-flex justify-content-center align-items-center my-4">
            {% if page_obj.has_previous %}
                <a href="?page={{ page_obj.previous_page_number }}" class="btn btn-outline-primary me-2">Previous</a>
            {% endif %}

            {% with total_pages=page_obj.paginator.num_pages current=page_obj.number %}
                {% for num in page_obj.paginator.page_range %}
                    {% if num >= current|add:"-5" and num <= current|add:"4" %}
                        {% if num == current %}
                            <span class="badge bg-primary mx-1">{{ num }}</span>
                        {% else %}
                            <a href="?page={{ num }}" class="badge bg-secondary mx-1">{{ num }}</a>
                        {% endif %}
                    {% endif %}
                {% endfor %}
            {% endwith %}

            {% if page_obj.has_next %}
                <a href="?page={{ page_obj.next_page_number }}" class="btn btn-outline-primary ms-2">Next</a>
            {% endif %}
        </div>

        
    </div>

    <!-- Bootstrap JS -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
</body>
</html>
